<?php defined('BASEPATH') or exit('No direct script access allowed');

class Admin extends CI_Controller
{
  public function __construct()
  {
    parent::__construct();
    if (!$this->session->userdata('logged_in')) {
      return redirect('login');
    }
    $this->load->library('user_agent');
    $this->load->model('adminmodel');
    $this->load->model('Crud', 'crud');
    $this->load->helper('text');
    $this->load->helper('youtube');
    $this->load->helper('hashed');
    $this->load->helper('utility');
    $this->load->helper('rand');
    $this->load->helper('getuid');
    $GLOBALS['updatedDate'] = date("Y-m-d H:i:s");
  }
  public function index()
  {
    $data['title'] = 'Dashboard';
    // $data['AllProducts'] = $this->adminmodel->getAllProducts('newFirst');
    $this->load->view('admin/dashboard', $data);
  }

  public function addProduct()
  {
    $userId = $this->session->userdata('username');
    $data['title'] = 'Add New Product';
    $data['AllProducts'] = $this->adminmodel->getAllProducts();
    $data['UserId'] = $this->adminmodel->getUserId($userId);
    $this->load->view('admin/add-product.php', $data);
  }


  public function uploadMedia($type = null)
  {
    sleep(1);
    if (!isset($_FILES['file']['name'])) {
      echo 'Unable to upload...Please choose file...';
    }
    /* Getting file name */
    $filename = str_replace(' ', '-', str_replace('_', '-', strtolower($_FILES['file']['name'])));
    /* Location */
    if ($type == 'Logo') {
      $location = "upload/logo/" . $filename;
    } else if ($type == 'Slide') {
      $location = "upload/page/home/" . $filename;
    } else {
      $location = "upload/product/" . $filename;
    }
    $uploadOk = 1;
    $imageFileType = pathinfo($location, PATHINFO_EXTENSION);
    /* Valid Extensions */
    $valid_extensions = array("jpg", "jpeg", "png");
    /* Check file extension */
    if (!in_array(strtolower($imageFileType), $valid_extensions)) {
      $uploadOk = 0;
    }
    if ($uploadOk == 0) {
      echo 0;
    } else {
      /* Upload file */
      if (move_uploaded_file($_FILES['file']['tmp_name'], $location)) {
        echo $location;
      } else {
        echo 0;
      }
    }
  }


  public function category()
  {
    $data['title'] = 'Category Dashboard';
    $this->load->view('admin/category_dashboard', $data);
  }

  public function getCategoriesAjax($option = null)
  {
    if ($option == null) {
      $category = $this->crud->getDataAll('category');
      echo '<option disabled selected>Choose One</option>' . PHP_EOL;
      foreach ($category as $cat) {
        if ($cat->type == 'parent') {
          // echo '<option value="' . $cat->id . '" disabled><strong>' . $cat->category_name . '</strong></option>' . PHP_EOL;
          echo "";
        } else {
          echo '<option value="' . $cat->id . '" class="pl-3">' . $cat->category_name . '</option>' . PHP_EOL;
        }
      }
    } else {
      $categories = $this->crud->getCategory();
      $i = 1;
      foreach ($categories as $cat) {
        if ($cat->type == 'child') {
          $ccat = $this->crud->getCategory(null, $cat->parent_id);
          $parent_name = $ccat->category_name;
          $parent_edit_link = '<a href="' . base_url('admin/editCategory/') . $cat->parent_id . '" class="btn btn-sm btn-info float-right"><i class="fas fa-edit"></i> Edit Category</a>';
        } else {
          $parent_name = '';
          $parent_edit_link = '';
        }
        if ($cat->status == 'yes') {
          $status = '<td class="bg-success text-light text-center"><i class="fas fa-eye"></i></td> ';
        } else if ($cat->status == 'no') {
          $status = '<td class="bg-danger text-light text-center"><i class="fas fa-eye-slash"></i></td> ';
        }
        echo '
              <tr>
                  <td>' . $i . '</td>
                  ' . $status . '
                  <td>' . $cat->category_name . ' <a href="' . base_url('admin/editCategory/') . $cat->id . '" class="btn btn-sm btn-primary float-right">
                    <i class="fas fa-edit"></i> Edit Category
                  </a></td>
                  <td>' . ucwords($cat->type) . '</td>
                  <td>' . $parent_name . ' ' . $parent_edit_link . '</td>
              </tr>
              ' . PHP_EOL;
        $i++;
      }
    }
  }

  public function getAllCatsForDashboard(){
    $category = $this->db->get("category");
    $data = array();
    $i = 1;
    foreach ($category->result() as $rows) {
      if ($rows->status == 'yes') {
        $status = '<span class="text-success"><i class="fas fa-eye"></i></span>';
      } else if ($rows->status == 'no') {
        $status = '<span class="text-danger"><i class="fas fa-eye-slash"></i></span>';
      }

      if ($rows->type == 'parent') {
        $type = '<div class="btn btn-sm btn-dark btn-block">Parent <span class="badge"><i class="fas fa-tags"></i></span></div>';
      } else if ($rows->type == 'child') {
        $type = '<div class="btn btn-sm btn-secondary btn-block">Child <span class="badge"><i class="fas fa-tag"></i></span></div>';
      }

      if ($rows->featured === 'yes') {
        $featured = '<i class="fas fa-star text-warning"></i>';
      } else {
        $featured = '';
      }

      if ($rows->type == 'parent' && $rows->parent_id == null) {
        $category_count = $this->crud->getCount('category', 'parent_id', $rows->id);
      }

      $product_count = $this->crud->getCount('products', 'category_id', $rows->id);

      if ($product_count == 0) {
        if ($rows->type == 'parent') {
          $product_count = $category_count . ' Sub Categories';
          $product_count_badge = 'secondary';
        } else {
          $product_count = '';
          $product_count_badge = '';
        }
      } else {
        $product_count = $product_count . ' Products';
        $product_count_badge = 'success';
      }

      if (($rows->type == 'parent' && $category_count > 0) || ($rows->type == 'child' && $product_count > 0)) {
        $actions = '<div class="btn-group btn-block"><a href="' . base_url('admin/editCategory/') . $rows->id . '.html" class="btn btn-sm btn-info">
          <i class="fas fa-edit"></i> Edit
          </a>
          <a href="' . base_url('admin/deleteCategory/') . $rows->id . '/' . $rows->type . '/browse.html" class="btn btn-sm btn-warning">
            <i class="fas fa-folder-open"></i> Browse
          </a></div>';
      } else {
        $actions = '<div class="btn-group btn-block"><a href="' . base_url('admin/editCategory/') . $rows->id . '.html" class="btn btn-sm btn-info">
          <i class="fas fa-edit"></i> Edit
          </a>
          <a href="' . base_url('admin/deleteCategory/') . $rows->id . '/' . $rows->type . '/confirmed.html" class="btn btn-sm btn-danger">
            <i class="fas fa-trash"></i> Delete
          </a></div>';
      }

      if ($rows->type == 'parent') {
        $parentCatName = '';
      } else if ($rows->type == 'child') {
        $catNameParent = $this->crud->getCategorySingleData($rows->parent_id, 'parent')->category_name;
        $parentCatName = '<span class="badge badge-secondary">&nbsp;&nbsp;' . $catNameParent . ' <span class="badge"><i class="fas fa-tags"></i></span></span>';
      } else {
        $parentCatName =
          '';
      }

      // $data[] = array(
      //   $i,
      //   $status . ' ' . $featured . ' ' . $rows->category_name . ' ' . $parentCatName,
      //   '<span class="badge badge-' . $product_count_badge . ' p-2">' . $product_count . '</span> ',
      //   $type,
      //   $actions
      // );
      echo '<tr>';
      echo '<td>'.$i . '</td><td>' . $status . ' ' . $featured . ' ' . $rows->category_name . '</td><td>' . $parentCatName. '<span class="badge badge-' . $product_count_badge . ' p-2">' . $product_count . '</span> '. '</td><td>' . $type . '</td><td>' . $actions . '</td>';
      echo '</tr>';
      $i++;
    }
    echo $data;
  }

  public function getCatDatatable()
  {

    $draw = intval($this->input->post('draw'));
    $start = intval($this->input->post('start'));
    $length = intval($this->input->post('length'));
    $order = $this->input->post('order');
    $search = $this->input->post('search');
    $search = $search['value'];

    $col = 0;
    $dir = '';
    if (!empty($order)) {
      foreach ($order as $o) {
        $col = $o['column'];
        $dir = $o['dir'];
      }
    }

    if ($dir != "asc" && $dir != "desc") {
      $dir = "desc";
    }

    $valid_columns = array(
      0 => 'id',
      1 => 'status',
      2 => 'category_name',
      3 => 'type'
    );
    if (!isset($valid_columns[$col])) {
      $order = null;
    } else {
      $order = $valid_columns[$col];
    }
    if ($order != null) {
      $this->db->order_by($order, $dir);
    }

    if (!empty($search)) {
      $x = 0;
      foreach ($valid_columns as $sterm) {
        if ($x == 0) {
          $this->db->like($sterm, $search);
        } else {
          $this->db->or_like($sterm, $search);
        }
        $x++;
      }
    }

    $this->db->limit($length, $start);
    $category = $this->db->get("category");
    $data = array();
    $i = 1;
    foreach ($category->result() as $rows) {
      if ($rows->status == 'yes') {
        $status = '<span class="text-success"><i class="fas fa-eye"></i></span>';
      } else if ($rows->status == 'no') {
        $status = '<span class="text-danger"><i class="fas fa-eye-slash"></i></span>';
      }

      if ($rows->type == 'parent') {
        $type = '<div class="btn btn-sm btn-dark btn-block">Parent <span class="badge"><i class="fas fa-tags"></i></span></div>';
      } else if ($rows->type == 'child') {
        $type = '<div class="btn btn-sm btn-secondary btn-block">Child <span class="badge"><i class="fas fa-tag"></i></span></div>';
      }

      if ($rows->featured === 'yes') {
        $featured = '<i class="fas fa-star text-warning"></i>';
      } else {
        $featured = '';
      }

      if ($rows->type == 'parent' && $rows->parent_id == null) {
        $category_count = $this->crud->getCount('category', 'parent_id', $rows->id);
      }

      $product_count = $this->crud->getCount('products', 'category_id', $rows->id);

      if ($product_count == 0) {
        if ($rows->type == 'parent') {
          $product_count = $category_count . ' Sub Categories';
          $product_count_badge = 'secondary';
        } else {
          $product_count = '';
          $product_count_badge = '';
        }
      } else {
        $product_count = $product_count . ' Products';
        $product_count_badge = 'success';
      }

      if (($rows->type == 'parent' && $category_count > 0) || ($rows->type == 'child' && $product_count > 0)) {
        $actions = '<div class="btn-group btn-block"><a href="' . base_url('admin/editCategory/') . $rows->id . '.html" class="btn btn-sm btn-info">
          <i class="fas fa-edit"></i> Edit
          </a>
          <a href="' . base_url('admin/deleteCategory/') . $rows->id . '/' . $rows->type . '/browse.html" class="btn btn-sm btn-warning">
            <i class="fas fa-folder-open"></i> Browse
          </a></div>';
      } else {
        $actions = '<div class="btn-group btn-block"><a href="' . base_url('admin/editCategory/') . $rows->id . '.html" class="btn btn-sm btn-info">
          <i class="fas fa-edit"></i> Edit
          </a>
          <a href="' . base_url('admin/deleteCategory/') . $rows->id . '/' . $rows->type . '/confirmed.html" class="btn btn-sm btn-danger">
            <i class="fas fa-trash"></i> Delete
          </a></div>';
      }

      if ($rows->type == 'parent') {
        $parentCatName = '';
      } else if ($rows->type == 'child') {
        $catNameParent = $this->crud->getCategorySingleData($rows->parent_id, 'parent')->category_name;
        $parentCatName = '<span class="badge badge-secondary">&nbsp;&nbsp;' . $catNameParent . ' <span class="badge"><i class="fas fa-tags"></i></span></span>';
      } else {
        $parentCatName =
          '';
      }

      $data[] = array(
        $i,
        $status . ' ' . $featured . ' ' . $rows->category_name . ' ' . $parentCatName,
        '<span class="badge badge-' . $product_count_badge . ' p-2">' . $product_count . '</span> ',
        $type,
        $actions
      );

      $i++;
    }
    $total_category = $this->totalCatDatatable();
    $output = array(
      "draw" => $draw,
      "recordsTotal" => $total_category,
      "recordsFiltered" => $total_category,
      "data" => $data
    );
    echo json_encode($output);
    exit();
  }


  public function totalCatDatatable()
  {
    $query = $this->db->select("COUNT(*) as num")->get("category");
    $result = $query->row();
    if (isset($result)) return $result->num;
    return 0;
  }

  public function saveCategory()
  {
    // echo "<pre>";
    // print_r($this->input->post());
    // die();
    sleep(1);
    // $status = $this->input->post('status');

    extract($this->input->post());
    if ($type == 'parent') {
      $parent_id = null;
    }
    $category_vanity_url = str_replace(" ", "-", strtolower($category_vanity_url));
    $updated =  date("Y-m-d H:i:s");
    $created =  date("Y-m-d H:i:s");
    $category_views = 0;

    $categoryData = array(
      "status"                           => $status,
      "type"                             => $type,
      "featured"                         => $featured,
      "parent_id"                        => $parent_id,
      "category_name"                    => $category_name,
      "category_vanity_url"              => $category_vanity_url,
      "category_img"                     => $category_img,
      "category_description"             => $category_description,
      "category_seo_title"               => $category_seo_title,
      "category_seo_description"         => $category_seo_description,
      "category_seo_keyword"             => $category_seo_keyword,
      "category_seo_canonical"           => $category_seo_canonical,
      "category_views"                   => $category_views,
      "updated"                          => $updated,
      "created"                          => $created
    );
    // print_r($productData);
    // die();
    $last_inserted_id = $this->crud->save('category', $categoryData, true);
    if ($last_inserted_id >= 0) {
      echo 'success';
    } else {
      echo 'error';
    }
  }

  public function editCategory($cid = null)
  {
    $data['title'] = "Edit Category";
    $data['c'] = $this->crud->getDataSingle('category', $cid, 'id');
    $this->load->view('admin/edit-category.php', $data);
  }

  public function updateCategory()
  {
    sleep(1);

    extract($this->input->post());
    if ($type == 'parent') {
      $parent_id = null;
    }

    $category_vanity_url = str_replace(" ", "-", strtolower($category_vanity_url));
    $updated =  date("Y-m-d H:i:s");

    $categoryData = array(
      "status"                        => $status,
      "type"                          => $type,
      "featured"                      => $featured,
      "parent_id"                     => $parent_id,
      "category_name"                 => $category_name,
      "category_vanity_url"           => $category_vanity_url,
      "category_img"                  => $category_img,
      "category_description"          => $category_description,
      "category_seo_title"            => $category_seo_title,
      "category_seo_description"      => $category_seo_description,
      "category_seo_keyword"          => $category_seo_keyword,
      "category_seo_canonical"        => $category_seo_canonical,
      "updated"                       => $updated
    );

    if ($this->crud->update('category', 'id', $cat_id, $categoryData)) {
      echo 'success';
    } else {
      echo 'error';
    }
  }

  public function deleteCategory($catId, $catType, $status)
  {
    $data['c'] = $this->crud->getDataSingle('category', $catId, 'id', null, null);
    $data['catId'] = $data['c']->id;
    $data['catType'] = $data['c']->type;
    $data['status'] = $status;

    $data['title'] = $data['c']->category_name . " | Delete Category";
    $data['heading'] = $data['c']->category_name . '(' . ucwords($catType) . ' Category)';
    $this->load->view('admin/deleteCategory', $data);
  }

  public function deleteItem($id, $type)
  {
    if ($type == 'category') {
      if ($this->crud->delete('category', 'id', $id)) {
        $this->session->set_flashdata("catDeleteSuccess", "success");
        $this->session->set_flashdata("catDeleteSuccessMsg", "Category deleted successfully...");
      } else {
        $this->session->set_flashdata("catDeleteSuccess", "danger");
        $this->session->set_flashdata("catDeleteSuccessMsg", "Unable to delete category due to some technical issue...");
      }
    } else if ($type == 'product') {
      if ($this->crud->delete('products', 'product_id', $id)) {
        $this->session->set_flashdata("catDeleteSuccess", "success");
        $this->session->set_flashdata("catDeleteSuccessMsg", "Product deleted successfully...");
      } else {
        $this->session->set_flashdata("catDeleteSuccess", "danger");
        $this->session->set_flashdata("catDeleteSuccessMsg", "Unable to delete product due to some technical issue...");
      }
    }
    return redirect(base_url('admin/category.html'));
  }

  public function cpn()
  {
    $product_vanity_url = $this->input->post('product_vanity_url');
    if ($this->crud->getCount('products', 'product_vanity_url', $product_vanity_url) > 0) {
      echo 'matched';
    } else {
      echo 'unmatched';
    }
  }

  public function ccn()
  {

    $category_vanity_url = $this->input->post('category_vanity_url');

    if ($this->crud->getCount('category', 'category_vanity_url', $category_vanity_url) > 0) {
      echo 'matched';
    } else {
      echo 'unmatched';
    }
  }


  public function getProductsAjax()
  {
    sleep(1);
    $products = $this->crud->getDataAll('products');
    foreach ($products as $p) {
      $catName = $this->crud->getDataSingle('category', $p->category_id);
      echo '
      <tr>
          <td>' . $p->product_id . '</td>
          <td>' . $p->product_name . '</td>
          <td>' . $catName->category_name . '</td>
          <td><i class="fa fa-inr"></i>' . $p->product_price . '</td>
          <td><i href="' . base_url('admin/editProduct/') . $p->product_id . '"><i class="fas fa-edit"></i></a><a href="' . base_url('admin/deleteProduct/') . $p->product_id . '"><i class="fas fa-trash"></i></a></td>
      </tr>
      ' . PHP_EOL;
    }
  }



  public function saveProduct()
  {
    sleep(1);

    extract($this->input->post());

    $product_vanity_url = str_replace(" ", "-", strtolower($product_vanity_url));
    $updated =  date("Y-m-d H:i:s");
    $created =  date("Y-m-d H:i:s");
    $product_views = 0;

    $uid = getuid();

    if($this->crud->check_uid($uid))
    {
      $product_uid = $uid;
    }
    else
    {
      $product_uid = getuid();
    }

    $productData = array(
      "product_uid"                     => $product_uid,
      "product_vanity_url"              => $product_vanity_url,
      "product_name"                    => $product_name,
      "category_id"                     => $category_id,
      "product_price"                   => $product_price,
      "product_price_mrp"               => $product_price_mrp,
      "product_price_discount"          => $product_price_discount,
      "product_in_sale"                 => $product_in_sale,
      "product_in_featured_list"        => $product_in_featured_list,
      "product_sku"                     => $product_sku,
      "product_brand_name"              => $product_brand_name,
      "product_dimensions"              => $product_dimensions,
      "product_color"                   => $product_color,
      "product_weight"                  => $product_weight,
      "product_place_of_manufacturing"  => $product_place_of_manufacturing,
      "product_availability"            => $product_availability,
      "product_summery"                 => $product_summery,
      "product_description"             => $product_description,
      "product_micro_details"           => $product_micro_details,
      "product_offer"                   => $product_offer,
      "product_img_one"                 => $product_img_one,
      "product_img_two"                 => $product_img_two,
      "product_img_three"               => $product_img_three,
      "product_img_four"                => $product_img_four,
      "product_img_five"                => $product_img_five,
      "product_img_six"                 => $product_img_six,
      "product_shipping_charges"        => $product_shipping_charges,
      "priduct_shipping_summery"        => $priduct_shipping_summery,
      "product_taxes_charges"           => $product_taxes_charges,
      "product_warranty"                => $product_warranty,
      "product_return_policy"           => $product_return_policy,
      "product_seo_title"               => $product_seo_title,
      "product_seo_description"         => $product_seo_description,
      "product_seo_keyword"             => $product_seo_keyword,
      "product_seo_canonical"           => $product_seo_canonical,
      "product_status"                  => $product_status,
      "product_views"                   => $product_views,
      "updated"                         => $updated,
      "created"                         => $created
    );

    $last_inserted_id = $this->crud->save('products', $productData, true);
    if ($last_inserted_id >= 0) {
      $this->session->set_flashdata("productStatus", "success");
      $this->session->set_flashdata("productMsg", "Product has been added...");
    } else {
      $this->session->set_flashdata("productStatus", "success");
      $this->session->set_flashdata("productMsg", "Unable to save product...");
    }
    return redirect(base_url('admin'));
  }

  public function editProduct($pid = null)
  {
    $data['title'] = "Edit Product";
    $data['p'] = $this->crud->getDataSingle('products', $pid, 'product_id');
    $this->load->view('admin/edit-product.php', $data);
  }

  public function updateProduct()
  {
    sleep(1);

    extract($this->input->post());

    $product_vanity_url = str_replace(" ", "-", strtolower($product_vanity_url));
    $updated =  date("Y-m-d H:i:s");
    $product_views = 0;

    $productData = array(
      "product_vanity_url"              => $product_vanity_url,
      "product_name"                    => $product_name,
      "category_id"                     => $category_id,
      "product_price"                   => $product_price,
      "product_price_mrp"               => $product_price_mrp,
      "product_price_discount"          => $product_price_discount,
      "product_in_sale"                 => $product_in_sale,
      "product_in_featured_list"        => $product_in_featured_list,
      "product_sku"                     => $product_sku,
      "product_brand_name"              => $product_brand_name,
      "product_dimensions"              => $product_dimensions,
      "product_color"                   => $product_color,
      "product_weight"                  => $product_weight,
      "product_place_of_manufacturing"  => $product_place_of_manufacturing,
      "product_availability"            => $product_availability,
      "product_summery"                 => $product_summery,
      "product_description"             => $product_description,
      "product_micro_details"           => $product_micro_details,
      "product_offer"                   => $product_offer,
      "product_img_one"                 => $product_img_one,
      "product_img_two"                 => $product_img_two,
      "product_img_three"               => $product_img_three,
      "product_img_four"                => $product_img_four,
      "product_img_five"                => $product_img_five,
      "product_img_six"                 => $product_img_six,
      "product_shipping_charges"        => $product_shipping_charges,
      "priduct_shipping_summery"        => $priduct_shipping_summery,
      "product_taxes_charges"           => $product_taxes_charges,
      "product_warranty"                => $product_warranty,
      "product_return_policy"           => $product_return_policy,
      "product_seo_title"               => $product_seo_title,
      "product_seo_description"         => $product_seo_description,
      "product_seo_keyword"             => $product_seo_keyword,
      "product_seo_canonical"           => $product_seo_canonical,
      "product_status"                  => $product_status,
      "product_views"                   => $product_views,
      "updated"                         => $updated
    );


    if ($this->crud->update('products', 'product_id', $product_id, $productData)) {
      $this->session->set_flashdata("productStatus", "success");
      $this->session->set_flashdata("productMsg", "Product has been updated...");
    } else {
      $this->session->set_flashdata("productStatus", "success");
      $this->session->set_flashdata("productMsg", "Unable to save product...");
    }
    return redirect(base_url('admin'));


  }

  function deleteProduct($pid)
  {
    sleep(1);

    if ($this->crud->delete('products', 'product_id', $pid)) {
      echo 'success';
    } else {
      echo 'error';
    }
  }


  public function editSettings($settingName = null)
  {
    $data['title'] = "Update Website Setting";
    // $data['setting'] = $this->crud->getDataSingle('settings', $settingName, 'name');
    $this->load->view('admin/edit-settings.php', $data);
  }

  public function updateSettings($settingName = null)
  {
    extract($this->input->post());
    // if ($this->crud->update('products', 'product_id', $product_id, $productData)) {
    $updated =  date("Y-m-d H:i:s");
    $table = 'settings';
    switch ($settingName) {
      case 'websiteName':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $websiteName, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_phone_1':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_phone_1, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_phone_2':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_phone_2, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_phone_3':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_phone_3, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_fax':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_fax, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_address':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_address, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_logo':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_logo, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_contact_person_1':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_contact_person_1, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_contact_person_2':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_contact_person_2, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_contact_email_1':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_contact_email_1, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'website_contact_email_2':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $website_contact_email_2, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'send_all_enquiry_email_id':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $send_all_enquiry_email_id, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'send_contact_email':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $send_contact_email, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'default_seo_title':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $default_seo_title, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'default_seo_description':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $default_seo_description, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'default_seo_keywords':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $default_seo_keywords, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'google_site_verification':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $google_site_verification, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'updatePassword':
        $password = hashed(cleanVal($password), 'e');
        if ($this->crud->update('users', 'username', $username, array('password' => $password))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'shipping_charges':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $shipping_charges, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'shipping_summery':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $shipping_summery, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'taxes_charges':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $taxes_charges, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'no_contact_delivery':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $no_contact_delivery, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'return_policy':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $return_policy, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'product_brand_name':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $product_brand_name, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;
      case 'product_place_of_manufacturing':
        if ($this->crud->update($table, 'name', $settingName, array('value' => $product_place_of_manufacturing, 'updated' => $updated))) {
          $this->session->set_flashdata('type', 'success');
        } else {
          $this->session->set_flashdata('type', 'danger');
        }
        break;


      default:
        return redirect(base_url('admin/editSettings.html'));
        break;
    }
    $this->session->set_flashdata('settingID', $settingName);
    return redirect(base_url('admin/editSettings/' . $settingName . '.html'));
  }

  public function pagemanager($option = false, $pageName = false)
  {
    if ($option == 'newPage') {
      $data['title'] = 'Add Page ';
      $data['type'] = 'newPage';
      $this->load->view('admin/add-page', $data);
    } else if ($option == 'editHomePage' && empty($pageName)) {
      $data['title'] = 'Edit Home Page ';
      $data['heading'] = 'Edit Home Page';
      $this->load->view('admin/editHomePage.php', $data);
    } else if ($option == 'editHomePage' && $pageName == 'editSlider') {
      $data['title'] = 'Edit Slider | Home Page ';
      $data['heading'] = 'Edit Slider | Home Page';
      $this->load->view('admin/editHomePageSlider.php', $data);
    } else if ($option == 'editHomePage' && $pageName == 'addSlider') {
      $data['title'] = 'Add Slider | Home Page ';
      $data['heading'] = 'Add Slider | Home Page';
      $this->load->view('admin/editHomePageSlider.php', $data);

    }else if ($option == 'editHomePage' && $pageName == 'addHomePageSlider') {
      extract($this->input->post());
      $slideData = array(
        "path"                  => $path,
        "alttag"                => $alttag,
        "href"                  => $href,
        "status"                => $status
      );
      if ($this->crud->save('slider', $slideData, true)) {
        $this->session->set_flashdata('type', 'success');
        $this->session->set_flashdata('msg', 'Slide has been added.');
      } else {
        $this->session->set_flashdata('type', 'danger');
        $this->session->set_flashdata('msg', 'Unable to add the slide due to some tachnical error.');
      }
      return redirect(base_url('admin/pagemanager/editHomePage/editSlider.html'));
    }else if ($option == 'editHomePage' && $pageName == 'updateHomePageSlider') {
      extract($this->input->post());
      $slideData = array(
        "path"                  => $path,
        "alttag"                => $alttag,
        "href"                  => $href,
        "status"                => $status
      );
      if ($this->crud->update('slider', 'id', $slideID, $slideData)) {
        $this->session->set_flashdata('type', 'success');
        $this->session->set_flashdata('msg', 'Slide has been updated.');
      } else {
        $this->session->set_flashdata('type', 'danger');
        $this->session->set_flashdata('msg', 'Unable to update the slide due to some tachnical error.');
      }
      return redirect(base_url('admin/pagemanager/editHomePage/editSlider.html'));
    }
    else if ($option == 'editHomePage' && $pageName == 'editInfoBoxes') {
      $data['title'] = 'Edit Info Boxes | Home Page ';
      $data['heading'] = 'Edit Info Boxes | Home Page';
      $this->load->view('admin/editHomePageInfoBoxes', $data);
    } else if ($option == 'editHomePage' && $pageName == 'updateHomePageInfoBoxes') {
      extract($this->input->post());
      $contentData = array(
        "content"                  => $content
      );
      if ($this->crud->update('content', 'contentPositionId', $contentPositionId, $contentData)) {
        $this->session->set_flashdata('type', 'success');
        $this->session->set_flashdata('msg', 'Information boxes has been updated.');
      } else {
        $this->session->set_flashdata('type', 'danger');
        $this->session->set_flashdata('msg', 'Unable to update the Information boxes due to some tachnical error.');
      }
      return redirect(base_url('admin/pagemanager/editHomePage/editInfoBoxes.html'));
    } else if ($option == 'editHomePage' && $pageName == 'editAboutSection') {
      $data['title'] = 'Edit About Section | Home Page ';
      $data['heading'] = 'Edit About Section | Home Page';
      $this->load->view('admin/editHomePageAboutSection', $data);
    } else if ($option == 'editHomePage' && $pageName == 'updateHomePageAboutSection') {
      extract($this->input->post());
      $contentData = array(
        "content"                  => $content
      );
      if ($this->crud->update('content', 'contentPositionId', $contentPositionId, $contentData)) {
        $this->session->set_flashdata('type', 'success');
        $this->session->set_flashdata('msg', 'About section has been updated.');
      } else {
        $this->session->set_flashdata('type', 'danger');
        $this->session->set_flashdata('msg', 'Unable to update the about section due to some tachnical error.');
      }
      return redirect(base_url('admin/pagemanager/editHomePage/editAboutSection.html'));
    } else if ($option == 'editHomePage' && $pageName == 'editProductCategoryTitle') {
      $data['title'] = 'Edit Product Category Title Section | Home Page ';
      $data['heading'] = 'Edit Product Category Title | Home Page';
      $this->load->view('admin/editHomePageProductCategoryTitle', $data);
    } else if ($option == 'editHomePage' && $pageName == 'updateHomePageProductCategoryTitle') {
      extract($this->input->post());
      $contentData = array(
        "content"                  => $content
      );
      if ($this->crud->update('content', 'contentPositionId', $contentPositionId, $contentData)) {
        $this->session->set_flashdata('type', 'success');
        $this->session->set_flashdata('msg', 'Product Category Title section has been updated.');
      } else {
        $this->session->set_flashdata('type', 'danger');
        $this->session->set_flashdata('msg', 'Unable to update the Product Category Title section due to some tachnical error.');
      }
      return redirect(base_url('admin/pagemanager/editHomePage/editProductCategoryTitle.html'));
    } else if ($option == 'updatePage' && !empty($pageName)) {
      if ($this->crud->check_page_name($pageName) == true) {
        $rowData = $this->crud->check_page_name($pageName);
        $data['type'] = 'oldPage';
        $data['pageId'] = $rowData->pageId;
        $data['pageName'] = $rowData->pageName;
        $data['pageTitle'] = $rowData->pageTitle;
        $data['pageContent'] = $rowData->pageContent;
        $data['showInMenu'] = $rowData->showInMenu;
        $data['status'] = $rowData->status;
        $data['pageSeoTitle'] = $rowData->pageSeoTitle;
        $data['pageSeoDesc'] = $rowData->pageSeoDesc;
        $data['pageSeoKeywords'] = $rowData->pageSeoKeywords;
        $data['pageCanonicalUrl'] = $rowData->pageCanonicalUrl;
        $data['title'] = 'Edit Page ';
        $this->load->view('admin/edit-page', $data);
      } else {
        return show_404();
      }
    } else if ($option == 'updatePageOrder' && empty($pageName)) {
      if ($this->input->post('update')) {
        $positionsData = $this->input->post('positions');
        foreach ($positionsData as $positions) {
          $index = $positions[0];
          $position = $positions[1];
          $this->crud->update('pages', 'pageId', $index, ["pagePosition" => $position]);
        }
      }
      exit('Page order or position has been updated successfully.');
    } else {
      $data['pages'] = $this->crud->getDataAll('pages', 'pagePosition', 'ASC');
      $data['pagesMenuOrder'] = $this->crud->getSortedPageDataForMenu();
      $data['title'] = 'Page Manager v1.0';
      $this->load->view('admin/pagemanager', $data);
    }
  }

  public function pageExist()
  {
    $pageName = $this->input->post('pageName');
    $pageType = $this->input->post('pageType');

    if ($pageType == 'newPage') {
      if ($this->crud->check_page_name($pageName) == true) {
        echo '<div class="alert alert-danger alert-dismissible"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><strong><i class="fa fa-times"></i> Not Available: </strong> Page name not available.</div>';
        echo '<input type="hidden" value="pageExist" id="pageNameChecker">';
      } else {
        echo '<div class="alert alert-success alert-dismissible"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><strong><i class="fa fa-check"></i> Available: </strong> Page name available.</div>';
        echo '<input type="hidden" value="pageNotExist" id="pageNameChecker">';
      }
    } else if ($pageType == 'oldPage') {
      if ($this->crud->check_page_name($pageName) == true) {
        if ($this->crud->check_page_name($pageName)->pageName == $pageName) {
          echo '<div class="alert alert-success alert-dismissible"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><strong><i class="fa fa-check"></i> Available: </strong> Page name available.</div>';
          echo '<input type="hidden" value="pageExistOk" id="pageNameChecker">';
        } else {
          echo '<div class="alert alert-danger alert-dismissible"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><strong><i class="fa fa-times"></i> Not Available: </strong> Page name not available.</div>';
          echo '<input type="hidden" value="pageExist" id="pageNameChecker">';
        }
      } else {
        echo '<div class="alert alert-success alert-dismissible"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><strong><i class="fa fa-check"></i> Available: </strong> Page name available.</div>';
        echo '<input type="hidden" value="pageNotExist" id="pageNameChecker">';
      }
    }
  }

  public function pagemanagerSavePage()
  {
    extract($this->input->post());

    if ($action == 'save-page') {
      if ($pageNameChecker === 'pageExist') {
        $pageNameVal = 'page-' . sha1(md5(rand()));
      } else if ($pageNameChecker === 'pageNotExist' || $pageNameChecker === 'pageExistOk') {
        $pageNameVal = $pageName;
      }

      //$updated =  date("Y-m-d H:i:s");
      // $pageViews = 0;

      $pageData = array(
        "pagePosition"              => $lastPosition,
        "pageName"                  => $pageNameVal,
        "pageTitle"                 => $pageTitle,
        "pageContent"               => $content,
        "showInMenu"                => $showInMenu,
        "status"                    => $pageStatus,
        "pageSeoTitle"              => $pageSeoTitle,
        "pageSeoDesc"               => $pageSeoDesc,
        "pageSeoKeywords"           => $pageSeoKeywords,
        "pageCanonicalUrl"          => $pageCanonicalUrl,
        "updated"                   => $updatedAt
      );

      $last_inserted_id = $this->crud->save('pages', $pageData, true);
      if ($last_inserted_id > 0) {
        $pageName = $this->crud->getDataSingle('pages', $last_inserted_id, 'pageId')->pageName;
        echo $pageName;
      } else {
        echo 'error';
      }
    } else if ($action == 'update-page') {
      if ($pageNameChecker === 'pageExist') {
        $pageNameVal = 'page-' . sha1(md5(rand()));
      } else if ($pageNameChecker === 'pageNotExist' || $pageNameChecker === 'pageExistOk') {
        $pageNameVal = $pageName;
      }

      $updated =  date("Y-m-d H:i:s");
      // $pageViews = 0;

      $pageData = array(
        "pageName"                  => $pageNameVal,
        "pageTitle"                 => $pageTitle,
        "pageContent"               => $content,
        "showInMenu"                => $showInMenu,
        "status"                    => $pageStatus,
        "pageSeoTitle"              => $pageSeoTitle,
        "pageSeoDesc"               => $pageSeoDesc,
        "pageSeoKeywords"           => $pageSeoKeywords,
        "pageCanonicalUrl"          => $pageCanonicalUrl,
        "updated"                   => $updated
      );
      //      print_r($pageID);
      //      print_r($pageNameVal);
      //      die();
      // $last_inserted_id = $this->crud->save('pages', $pageData, true);
      if ($this->crud->update('pages', 'pageId', $pageID, $pageData)) {
        echo $pageNameVal;
      } else {
        echo 'error';
      }
    } else if ($action == 'delete-page') {
      $id = $this->input->post('pageId');
      if ($this->crud->deletePage($id)) {
        echo 'success';
      } else {
        echo 'error';
      }
    } else {
      echo 'Nothing to do here...';
    }
  }

  public function upload_product_image($type = '')
  {
    sleep(1);
    if (!isset($_FILES['file']['name'])) {
      echo 'Unable to upload...Please choose file...';
    }
    /* Getting file name */
    $filename = str_replace(' ', '-', str_replace('_', '-', strtolower($_FILES['file']['name'])));
    /* Location */
    if ($type == 'Logo') {
      $location = "upload/logo/" . $filename;
    } else if ($type == 'Slide') {
      $location = "upload/page/home/" . $filename;
    } else {
      $location = "upload/product/" . $filename;
    }
    $uploadOk = 1;
    $imageFileType = pathinfo($location, PATHINFO_EXTENSION);
    /* Valid Extensions */
    $valid_extensions = array("jpg", "jpeg", "png");
    /* Check file extension */
    if (!in_array(strtolower($imageFileType), $valid_extensions)) {
      $uploadOk = 0;
    }
    if ($uploadOk == 0) {
      echo 0;
    } else {
      /* Upload file */
      if (move_uploaded_file($_FILES['file']['tmp_name'], $location)) {
        echo $location;
      } else {
        echo 0;
      }
    }
  }

}
