<?php defined('BASEPATH') or exit("No direct script access allowed");

 class Enquiry extends CI_Controller {

     public function __construct() {
        parent::__construct();
        $this->load->model('Crud', 'crud');
    }

    public function index()
    {
        $captcha_response = $this->input->post('g-recaptcha-response');
        extract($this->input->post());

        if(empty($name))
        {
            $this->session->set_flashdata('name_error','danger');
            $this->session->set_flashdata('name_error_msg','Plese type your name.');
            $name_ready = false;
        }
        else
        {
            $name_ready = true;
        }

        if(empty($email))
        {
            $this->session->set_flashdata('email_error','danger');
            $this->session->set_flashdata('email_error_msg','Plese type your name.');
            $email_ready = false;
        }
        else
        {
            $email_ready = true;
        }

        if(empty($message))
        {
            $this->session->set_flashdata('message_error','danger');
            $this->session->set_flashdata('message_error_msg','Plese type your name.');
            $message_ready = false;
        }
        else
        {
            $message_ready = true;
        }

        if(!empty($captcha_response) || $captcha_response != null)
        {
            $secretKey = '6LdxNeoUAAAAAF9j-bfhr9ZZxWDX843muWlW68kR';
            $responseKey = $captcha_response;
            // $userIP = $this->input->ip_address();
            // $url = "https://www.google.com/recaptcha/api/siteverify?secret=$secretKey&response=$responseKey&remoteip=$userIP";

            // $res = file_get_contents($url);
            // $res = json_decode($res);
            $data = [
                'secret' => $secretKey,
                'response' => $responseKey
            ];
            $curl = curl_init();
            curl_setopt($curl, CURLOPT_POST, true);
            curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($curl, CURLOPT_URL, 'https://www.google.com/recaptcha/api/siteverify');
            curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($data));
            $response = curl_exec($curl);
            $response = json_decode($response, true);

            // if($res->success)
            if($response['success'])
            {
                $captcha_ready = true;
            }
            else{
                $this->session->set_flashdata('captcha_error','danger');
                $this->session->set_flashdata('captcha_error_msg','Unable to solve this captcha, Please refresh this page and try again.');
                $captcha_ready = false;
            }
        }
        else
        {
            $this->session->set_flashdata('captcha_error','danger');
            $this->session->set_flashdata('captcha_error_msg','Plese solve this captcha.');
            $captcha_ready = false;
        }

        if($name_ready === true && $email_ready === true && $message_ready === true && $captcha_ready === true)
        {
            $websiteName = $this->crud->getDataSingle('settings', 'websiteName', 'name')->value;
            $websiteLogo = $this->crud->getDataSingle('settings', 'website_logo', 'name')->value;
            $this->load->config('email');
            $this->load->library('email');

            $name = filter_var($name, FILTER_SANITIZE_STRING);
            $email = filter_var($email, FILTER_SANITIZE_EMAIL);
            $phone = filter_var($phone, FILTER_SANITIZE_NUMBER_INT);
            $user_message = filter_var($message, FILTER_SANITIZE_STRING);
            $pageName = filter_var($pageName, FILTER_SANITIZE_URL);
            $websiteSendAllEnquiryEmailID = $this->crud->getDataSingle('settings', 'send_all_enquiry_email_id', 'name')->value;

            $from = $this->config->item('smtp_user');
            $to = $websiteSendAllEnquiryEmailID;
            $subject = 'A new message received from '. ucwords($name);


            $message_template = '<html>
            <head>
                <style type=\'text/css\'>
                    body {background-color: #CCD9F9;
                         font-family: Verdana, Geneva, sans-serif}

                    h3 {color:#4C628D}

                    p {font-weight:bold}
                </style>
            </head>
            <body>
                <img src="'.$websiteLogo.'" alt="'.$websiteName.'" style="float:right;margin-right: 10%;margin-top: 1%;" />
                <h3>Hi '. ucwords($name).',</h3>
                <h3>Thanks for contacting us.</h3>

                <p>You\'ve taken your first step into a larger world.</p>
                <p>We really appreciate your interest.</p>

                <p>'. ucwords($name).' has been submitted following details: </p>

                <table style="width:100%;">
                    <tr>
                        <th style="width:30%;border:solid 1px #ccc;padding:10px;text-align:left;">
                            Name
                        </th>
                        <td style="width:70%;border:solid 1px #ccc;padding:10px;">
                            '. ucwords($name).'
                        </td>
                    </tr>
                    <tr>
                        <th style="width:30%;border:solid 1px #ccc;padding:10px;text-align:left;">
                            Email
                        </th>
                        <td style="width:70%;border:solid 1px #ccc;padding:10px;">
                            '.$email.'
                        </td>
                    </tr>
                    <tr>
                        <th style="width:30%;border:solid 1px #ccc;padding:5px;text-align:left;">
                            Phone
                        </th>
                        <td style="width:70%;border:solid 1px #ccc;padding:10px;">
                            '.$phone.'
                        </td>
                    </tr>
                    <tr>
                        <th style="width:30%;border:solid 1px #ccc;padding:10px;text-align:left;">
                            Referral Page
                        </th>
                        <td style="width:70%;border:solid 1px #ccc;padding:10px;">
                            '. base_url($pageName.'.html').'
                        </td>
                    </tr>
                    <tr>
                        <th style="width:30%;border:solid 1px #ccc;padding:10px;text-align:left;">
                            Message
                        </th>
                        <td style="width:70%;border:solid 1px #ccc;padding:10px;">
                            '.$user_message.'
                        </td>
                    </tr>
                </table>

                <br><br>
                <p><span style="font-size:12.0pt">Thank You,</span></p>
                <p>VKS Enterprise</p>
                <p><a href="mailto:vkssansi@yahoo.com" target="_blank"><span style="color:#0563c1">vkssansi@yahoo.com</span></a>
<u></u><u></u></p>
                <p>011-23873047</p>
                <p>011-45567556</p>
                <p>011-23873072</p>

            </body>
            </html>';

            $this->email->set_newline("\r\n");
            $this->email->from($from, 'VKS Enterprise');
            $this->email->to($to);
            $this->email->cc($email);
            $this->email->subject($subject);
            $this->email->message($message_template);

            if ($this->email->send())
            {
                $this->session->set_flashdata('email_success','success');
                $this->session->set_flashdata('email_success_error_msg','Email has been sent successfully.');
            }
            else
            {
                $this->session->set_flashdata('email_success','danger');
                $this->session->set_flashdata('email_success_error_msg','Unable to send email due to '.show_error($this->email->print_debugger()));
            }

            return redirect(base_url($pageName.'.html'));
        }
        else
        {
            $this->session->set_flashdata('email_success','danger');
            $this->session->set_flashdata('email_success_error_msg','Unable to send email due to some issues. Please check form input and try to send us email again.');
            return redirect(base_url($pageName.'.html'));
        }

    }

}
