<?php defined('BASEPATH') or exit('No direct script access allowed');

    class Shop extends CI_Controller
    {
        public function __construct()
        {
            parent::__construct();
            $this->load->library('user_agent');
            $this->load->model('Crud', 'crud');
            $this->load->helper('text');
            $this->load->helper('youtube');
            $this->load->helper('hashed');
            $this->load->helper('utility');
            $this->load->helper('rand');

            $GLOBALS['updatedDate'] = date("Y-m-d H:i:s");
        }

        public function index($parentCat = null, $childCat = null)
        {
          $data['categoriesParent'] = $this->crud->getParentCategory();
          $data['categoriesChildAll'] = $this->crud->getChildCategory();
          $data['title'] = 'Our Products | Categories';

          $category = $this->crud->fetch_filter_type('category_id')->result();

          foreach ($category as $cat) {
            $catName = $this->crud->getCategorySingleData($cat->category_id);

            $catData[] = array('catId' => $cat->category_id, 'catName' => $catName->category_name, 'catURL' => $catName->category_vanity_url);
          }
          $data['cats'] = $catData;
          $data['stock'] = $this->crud->fetch_filter_type('product_availability');


          $this->load->view('theme/shop', $data);
        }


        public function category($parentCat = null, $childCat = null)
        {

          $data['categoriesParent'] = $this->crud->getParentCategory();

          $data['parentCatVanityURL'] = $parentCat;
          $data['parentCatID'] = $this->crud->getIdByVanityURL($data['parentCatVanityURL']);
          $data['childCatVanityURL'] = $childCat;
          $data['childCatID'] = $this->crud->getIdByVanityURL($data['childCatVanityURL']);

          if(isset($parentCat) && !isset($childCat))
          {
            $data['singleCategoryData'] = $this->crud->getCategorySingleData($data['parentCatID'], 'parent');

            // $parentCatId = $this->crud->getIdByVanityURL($parentCat);
            // $parentCatId = $data['singleCategoryData']->id;
            $data['allChildCat'] = $this->crud->getChildCategory($data['parentCatID']);
            $data['singleCategoryDescData'] = $data['singleCategoryData']->category_description;
            $data['pageTitle'] = $data['singleCategoryData']->category_name;
            $data['title'] = $data['pageTitle'].' | Category';

            $this->load->view('theme/category.php', $data);
          }
          else if(isset($parentCat) && isset($childCat))
          {
            $data['singleChildCategoryData'] = $this->crud->getCategorySingleData($data['parentCatID'], 'parent');

            $data['singleCategoryData'] = $this->crud->getCategorySingleData($data['parentCatID'], 'parent');
            $parentCatId = $data['singleCategoryData']->id;
            $data['childCatID'] = $this->crud->getIdByVanityURL($childCat);
            $data['pcId'] = $parentCatId;

            $data['pageChildTitle'] = $data['singleChildCategoryData']->category_name;
            $data['pageChildLink'] = $data['singleChildCategoryData']->category_vanity_url;
            $data['singleCategoryData'] = $this->crud->getCategorySingleData($data['childCatID'], 'child');
            $data['singleCategoryDescData'] = $data['singleCategoryData']->category_description;
            $data['pageTitle'] = $data['singleCategoryData']->category_name;
            $data['title'] = $data['pageTitle'].' | Category';
            $data['allProducts'] = $this->crud->getProductListbyCatID($data['childCatID']);

            $category = $this->crud->fetch_filter_type('category_id')->result();

            foreach ($category as $cat) {
              $catName = $this->crud->getCategorySingleData($cat->category_id);

              $catData[] = array('catId' => $cat->category_id, 'catName' => $catName->category_name, 'catURL' => $catName->category_vanity_url);
            }
            $data['cats'] = $catData;
            $data['stock'] = $this->crud->fetch_filter_type('product_availability');

            $this->load->view('theme/shop', $data);
            // debug($data, true);
          }
          else{

            $this->load->view('theme/category', $data);
          }
        }

        public function fetch_data()
         {

          sleep(1);
          $minimum_price = $this->input->post('minimum_price');
          $maximum_price = $this->input->post('maximum_price');
          $category = $this->input->post('category');
          $stock = $this->input->post('stock');
          $this->load->library('pagination');
          $config = array();
          $config['base_url'] = '#';
          $config['total_rows'] = $this->crud->count_all($minimum_price, $maximum_price, $category, $stock);
          $config['per_page'] = 4;
          $config['uri_segment'] = 3;
          $config['use_page_numbers'] = TRUE;
          $config['full_tag_open'] = '<div class="product-pagination"><ul class="pagination">';
          $config['full_tag_close'] = '</ul></div>';
          $config['first_tag_open'] = '<li>';
          $config['first_tag_close'] = '</li>';
          $config['last_tag_open'] = '<li>';
          $config['last_tag_close'] = '</li>';
          $config['next_link'] = '<i class="fa fa-angle-double-right"></i>';
          $config['next_tag_open'] = '<li>';
          $config['next_tag_close'] = '</li>';
          $config['prev_link'] = '<i class="fa fa-angle-double-left"></i>';
          $config['prev_tag_open'] = '<li>';
          $config['prev_tag_close'] = '</li>';
          $config['cur_tag_open'] = "<li class='active'><a href='#'>";
          $config['cur_tag_close'] = '</a></li>';
          $config['num_tag_open'] = '<li>';
          $config['num_tag_close'] = '</li>';
          $config['num_links'] = 3;
          $this->pagination->initialize($config);
          $page = $this->uri->segment(3);
          if(!isset($page))
          {
            echo 'No direct script access allowed.';
            exit;
          }
          $start = ($page - 1) * $config['per_page'];
          $output = array(
           'pagination_link'  => $this->pagination->create_links(),
           'product_list'   => $this->crud->fetch_data($config["per_page"], $start, $minimum_price, $maximum_price, $category, $stock)
          );
          // echo '<pre>';
          // print_r($output);
          echo json_encode($output);
         }



    }



?>
