<?php

class AdminModel extends CI_Model
{
  public function validate()
  {
    $arr['username'] = nohtml($this->input->post('username'));
    $nacked_password = nohtml($this->input->post('password'));
    $arr['password'] = hashed($nacked_password);
    return $this->db->get_where('users', $arr)->row();
  }
  public function getUserNameDB()
  {
    $arr['username'] = nohtml($this->input->post('username'));
    $nacked_password = nohtml($this->input->post('password'));
    $arr['password'] = hashed($nacked_password);
    return $this->db->get_where('users', $arr)->row('username');
  }
  public function getUserId($userName)
  {
    return $this->db->get_where('users', ['username' => $userName])->row('uid');
  }

  public function updateImg($pid, $imgName)
  {
    $this->db->set('pfeatureimg', $imgName);
    $this->db->where('pid', $pid);
    $this->db->update('products');
    return true;
  }
  public function saveProductDetails($data)
  {
    if($this->db->insert('products', $data))
    {
      return $this->db->insert_id();
    }else {
      return false;
    }
  }

  public function updateProductDetails($pid, $data)
  {
    $this->db->where('pid', $pid);
    if($this->db->update('products', $data))
    {
      return true;
    }else {
      return false;
    }
  }

  public function deleteProductDetails($pid, $file)
  {
    $path = FCPATH.'upload/'.$file;
    // echo $path;
    // exit;
    $this->db->where('pid', $pid);
    if($this->db->delete('products'))
    {
      if (!file_exists($path))
      {
        if($file != "default/default.png")
        {
          if(unlink($path))
          {
            return true;
          }
          else {
            return false;
          }
        }else {
          return true;
        }
      }else {
        return true;
      }
    }else {
      return false;
    }
  }

  public function getSingleProduct( $pid ) //getting record by product vanity url.
  {
    $query = $this->db->where('puri', $pid)->get('products');
    $result = $query->result_array();
    return $result;

  }
  public function getAllProducts($sort = null)
  {
    // $pid = str_replace('.html', '', $pid);
    // echo $pid;die();
    $this->db->from('products');
    if($sort == 'newFirst')
    {
      $this->db->order_by('pcreatedat DESC');
    }
    $query = $this->db->get();
    $result = $query->result();
    return $result;

  }

  public function checkProductExistance( $puri )
  {
    $this->db->from('products');
    $this->db->where('puri', $puri);
    $query = $this->db->get();
    $result = $query->row();
    if($result)
    {
      return true;
    }else {
      return false;
    }
  }

  public function getSingleProductInfo( $pid ) //getting single column record by product id.
  {
    $this->db->where('pid', $pid);
    // $this->db->limit(1);
    $query = $this->db->get('products');
    $row = $query->row();
    return $row;
  }

  public function getAllMenubarLinks($puri)
  {
    // $this->db->select('puri, pmenuicon, pmenutitle, pmenuorder, pshowinmenu, pstatus');
    $this->db->where('puri', $puri);
    $this->db->order_by('pmenuorder', 'ASC');
    $query = $this->db->get('page');
    $result = $query->row();
    return $result;
  }
  public function getAllSocialLinks($opt = null)
  {
    if($opt == 'all')
    {
      $this->db->from('socialLinks');
      $query = $this->db->get();
    }else {
      $query = $this->db->where('slstatus', 'show')->get('socialLinks');
    }
    $result = $query->result();
    return $result;
  }
  public function getOptionValue($oname)
  {
    $query = $this->db->where('oname', $oname)->get('options');
    $result = $query->row('ovalue');
    return $result;
  }
  public function getOptionUpdatedDate($oname)
  {
    $query = $this->db->where('oname', $oname)->get('options');
    $result = $query->row('oupdatedat');
    return $result;
  }

  public function getContent( $puri, $cnsubid ) //getting single column record by product id.
  {
    $this->db->where('puri', $puri);
    $this->db->where('cnsubid', $cnsubid);
    // $this->db->limit(1);
    $query = $this->db->get('content');
    $row = $query->row('cnbody');
    return $row;
  }

  public function getContentTitle( $puri, $cnsubid ) //getting single column record by product id.
  {
    $this->db->where('puri', $puri);
    $this->db->where('cnsubid', $cnsubid);
    // $this->db->limit(1);
    $query = $this->db->get('content');
    $row = $query->row('cntitle');
    return $row;
  }

  public function updateBatchContent($data, $id)
  {
    $query = $this->db->update_batch('content', $data, $id);
    // return $query;
    if($query)
    {
      return true;
    }
    else {
      return $this->db->error();
    }
  }

  public function getPageMeta($puri)
  {
    $this->db->where('puri', $puri);
    $query = $this->db->get('page');
    $result = $query->row();
    return $result;
  }

  public function updatePageMeta($data, $puri)
  {
    $this->db->where('puri', $puri);
    if($this->db->update('page', $data))
    {
      return true;
    }else {
      return false;
    }
  }

  public function saveVideo($data)
  {
    if($this->db->insert('video', $data))
    {
      return $this->db->insert_id();
    }else {
      return false;
    }
  }

  public function getAllVideos()
  {
    $this->db->from('video');
    $this->db->order_by('createdat DESC');
    $query = $this->db->get();
    $result = $query->result();
    return $result;
  }

  public function getSingleVideo( $vid )
  {
    $this->db->where('vid', $vid);
    // $this->db->limit(1);
    $query = $this->db->get('video');
    $row = $query->row();
    return $row;
  }

  public function updateVideo($data, $vid)
  {
    $this->db->where('vid', $vid);
    if($this->db->update('video', $data))
    {
      return true;
    }else {
      return false;
    }
  }

  public function deleteVideo($vid)
  {
    $this->db->where('vid', $vid);
    if($this->db->delete('video'))
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  public function getAllClients()
  {
    $this->db->from('clients');
    // $this->db->where('cstatus', 'active');
    $this->db->order_by('createdat DESC');
    $query = $this->db->get();
    $result = $query->result();
    return $result;
  }
  public function getClient( $id )
  {
    $this->db->from('clients');
    // $this->db->where('cstatus', 'active');
    $this->db->where('cid', $id);
    $query = $this->db->get();
    return $query->row();
  }

  public function saveClientDetails($data)
  {
    if($this->db->insert('clients', $data))
    {
      return $this->db->insert_id();
    }
    else {
      return false;
    }
  }

  public function updateClientDetails($data, $cid)
  {
    $this->db->where('cid', $cid);
    if($this->db->update('clients', $data))
    {
      return true;
    }else {
      return false;
    }
  }

  public function deleteClientDetails($cid)
  {
    $this->db->where('cid', $cid);
    if($this->db->delete('clients'))
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  public function getAllFaq()
  {
    $this->db->from('faq');
    $this->db->order_by('fid ASC');
    $query = $this->db->get();
    $result = $query->result();
    return $result;
  }

  public function getFaq( $fid )
  {
    $this->db->from('faq');
    $this->db->where('fid', $fid);
    $query = $this->db->get();
    return $query->row();
  }

  public function saveFaqDetails($data)
  {
    if($this->db->insert('faq', $data))
    {
      return $this->db->insert_id();
    }
    else {
      return false;
    }
  }

  public function updateFaqDetails($data, $fid)
  {
    $this->db->where('fid', $fid);
    if($this->db->update('faq', $data))
    {
      return true;
    }else {
      return false;
    }
  }

  public function deleteFaqDetails($fid)
  {
    $this->db->where('fid', $fid);
    if($this->db->delete('faq'))
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  //Setting Page

  public function getUserProfile( $userId )
  {
    $this->db->from('users');
    $this->db->where('username', $userId);
    $query = $this->db->get();
    return $query->row();
  }

  public function getEmailId()
  {
    $this->db->from('users');
    $this->db->where('uid', '1');
    $query = $this->db->get();
    return $query->row();
  }

  public function updateUserProfile( $data, $username )
  {
    $this->db->where('username', $username);
    if($this->db->update('users', $data))
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  public function updateAllOption($data, $id)
  {
    $query = $this->db->update_batch('options', $data, $id);
    // return $query;
    if($query)
    {
      return true;
    }
    else {
      return $this->db->error();
    }
  }

  public function updateAllSocialLinks($data, $id)
  {
    $query = $this->db->update_batch('socialLinks', $data, $id);
    // return $query;
    if($query)
    {
      return true;
    }
    else {
      return $this->db->error();
    }
  }

  public function saveEmail($data)
  {
    if($this->db->insert('emails', $data))
    {
      return $this->db->insert_id();
    }else {
      return false;
    }
  }

  public function getUnreadEmailCount()
  {
    return $this->db->where('status', 'unread')->count_all_results('emails');
  }
  public function getAllMessage($count = null)
  {
    $this->db->from('emails');
    $this->db->order_by('eid DESC');
    $query = $this->db->get();
    if($count == 'count')
    {
      return $query->num_rows();
    }else {
      return $query->result();
    }
  }

  public function getEmailMessage($eid)
  {
    $this->db->from('emails');
    $this->db->where('eid', $eid);
    $query = $this->db->get();
    return $query->row();
  }

  public function markAsRead($eid)
  {
    $this->db->set('status', 'read');
    $this->db->where('eid', $eid);
    return $this->db->update('emails');
  }

  public function markAsUnread($eid)
  {
    $this->db->set('status', 'unread');
    $this->db->where('eid', $eid);
    return $this->db->update('emails');
  }

  public function deleteMessage($eid)
  {
    $this->db->where('eid', $eid);
    if($this->db->delete('emails')){
      return true;
    }
    else{
      return false;
    }
  }

  public function updateResetKey($username)
  {
    $this->db->set('reset_key', randchar(64));
    $this->db->where('username', $username);
    return $this->db->update('users');
  }
  public function getResetKey($email)
  {
    $this->db->from('users');
    $this->db->where('email', $email);
    $query = $this->db->get();
    return $query->row()->reset_key;
  }

  public function checkEmail($email)
  {
    $this->db->from('users');
    $this->db->where('email', $email);
    $query = $this->db->get();
    if($query->row())
    {
      return $query->row();
    }else {
      return false;
    }
  }

  public function checkResetKey($resetKey)
  {
    $this->db->from('users');
    $this->db->where('reset_key', $resetKey);
    $query = $this->db->get();
    if($query->row())
    {
      return true;
    }else {
      return false;
    }
  }

  public function updatePassword($key, $newPassword)
  {
    $this->db->set('password', $newPassword);
    $this->db->set('reset_key', randchar(64));
    $this->db->where('reset_key', $key);
    return $this->db->update('users');
  }

}

?>
