<?php require_once APPPATH . "views/admin/template/header.php"; ?>
<?php require_once APPPATH . "views/admin/template/sidebar.php"; ?>

<!-- Begin Page Content -->
<div class="container-fluid">

    <div class="alert shadow alert-success alert-dismissible fade show hidden" role="alert" id="successResult">
        <strong><i class="fas fa-check"></i>
            <span id="successResultMsg">Product information saved into the database...<a
                    href="<?= base_url('admin/index.html') ?>" class="btn btn-primary btn-sm">Go to the Dashboard</a>
            </span>
        </strong>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="alert shadow alert-danger alert-dismissible fade show hidden" role="alert" id="errorResult">
        <strong><i class="fas fa-times"></i> <span id="successResultMsg">Unable to save product information due to some
                technical issue...</span></strong>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h5 class="m-0 font-weight-bold text-primary"><i class="fas fa-plus"></i> Add Product</h5>
        </div>
        <!-- Card Body -->
        <div class="card-body">
            <form action="<?= base_url('admin/saveProduct') ?>" class="user" method="post" id="productForm">

                <!-- Product Tab NAV Start -->
                <ul class="nav nav-pills nav-justified" id="myTab" role="tablist">
                  <li class="nav-item" data-toggle="tooltip" title="Product's Details">
                    <a class="nav-link active" id="Details-tab" data-toggle="tab" href="#Details" role="tab" aria-controls="Details" aria-selected="true">Details</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Images">
                    <a class="nav-link" id="Photos-tab" data-toggle="tab" href="#Photos" role="tab" aria-controls="Photos" aria-selected="true">Photos</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Features">
                    <a class="nav-link" id="Features-tab" data-toggle="tab" href="#Features" role="tab" aria-controls="Features" aria-selected="false">Features</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Information">
                    <a class="nav-link" id="Information-tab" data-toggle="tab" href="#Information" role="tab" aria-controls="Information" aria-selected="false">Information</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Shipping Information">
                    <a class="nav-link" id="Shipping-tab" data-toggle="tab" href="#Shipping" role="tab" aria-controls="Shipping" aria-selected="false">Shipping</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Short Summery / Introduction">
                    <a class="nav-link" id="Summery-tab" data-toggle="tab" href="#Summery" role="tab" aria-controls="Summery" aria-selected="false">Summery</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Description">
                    <a class="nav-link" id="Description-tab" data-toggle="tab" href="#Description" role="tab" aria-controls="Description" aria-selected="false">Description</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Micro Information">
                    <a class="nav-link" id="Micro-tab" data-toggle="tab" href="#Micro" role="tab" aria-controls="Micro" aria-selected="false">Micro</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Offer Information">
                    <a class="nav-link" id="Offer-tab" data-toggle="tab" href="#Offer" role="tab" aria-controls="Offer" aria-selected="false">Offer</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Warranty Information">
                    <a class="nav-link" id="Warranty-tab" data-toggle="tab" href="#Warranty" role="tab" aria-controls="Warranty" aria-selected="false">Warranty</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's Return Information">
                    <a class="nav-link" id="Return-tab" data-toggle="tab" href="#Return" role="tab" aria-controls="Return" aria-selected="false">Return</a>
                  </li>
                  <li class="nav-item" data-toggle="tooltip" title="Product's SEO Information">
                    <a class="nav-link" id="SEO-tab" data-toggle="tab" href="#SEO" role="tab" aria-controls="SEO" aria-selected="false">SEO</a>
                  </li>
                </ul>
                <!-- Product Tab NAV End -->

                <!-- Product Tab Content Start -->
                <div class="tab-content px-3 py-4 border mt-2" id="myTabContent">

                  <!-- Product Details Start -->
                  <!-- show active -->
                  <div class="tab-pane fade active show" id="Details" role="tabpanel" aria-labelledby="Details-tab">

                    <div class="form-group row">
                        <div class="col-sm-2 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Name</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product name">
                            <input type="text" class="form-control" name="product_name" id="product_name"
                                placeholder="Product Name" required>
                        </div>
                        <div class="col-sm-2 pt-2">
                            <span class="h6 mb-4 text-gray-800" id="pn">Product URL</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product vanity URL">
                            <input type="text" class="form-control" name="product_vanity_url" id="product_vanity_url"
                                placeholder="Type here product vanity URL." required>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Choose Category</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Choose here product's category">
                            <select name="category_id" id="category_id" class="form-control dynamic_select" required>
                            </select>
                        </div>
                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product SKU</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here stock keeping unit(SKU)">
                            <input type="text" class="form-control" name="product_sku" id="product_sku"
                                placeholder="Product SKU/Code" >
                        </div>
                    </div>

                    <div class="form-group row">
                      <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Price(MRP)</span>
                      </div>
                      <div class="col-sm-4" data-toggle="tooltip" title="Type here product maximum retail price(MRP)">
                          <input type="text" class="form-control" name="product_price_mrp" id="product_price_mrp"
                              placeholder="Product MRP Price: 00" required>
                      </div>
                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Price(Actual)</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product regular price">
                            <input type="text" class="form-control" name="product_price" id="product_price"
                                placeholder="Product Price: 00" required>
                        </div>
                    </div>

                    <div class="form-group row">
                      <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product In Sale</span>
                      </div>
                      <div class="col-sm-4" data-toggle="tooltip" title="Choose here, that the product is available for sale or not">
                        <select name="product_in_sale" id="product_in_sale" class="form-control">
                            <option value="yes">Yes, Available For Sale</option>
                            <option value="no" selected>Not Available For Sale</option>
                        </select>
                      </div>
                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Discount %</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product discount percentage(%)">
                            <input type="text" class="form-control" name="product_price_discount" id="product_price_discount"
                                placeholder="Product Discount">
                        </div>
                    </div>

                    <div class="form-group row">
                      <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Status</span>
                      </div>
                      <div class="col-sm-4" data-toggle="tooltip" title="Choose here, that the product is active or not">
                        <select name="product_status" id="product_status" class="form-control">
                            <option value="active" selected>Show</option>
                            <option value="inactive">Hide</option>
                        </select>
                      </div>
                    </div>



                  </div>
                  <!-- Product Details End -->

                  <!-- Product Photos Start -->
                  <div class="tab-pane fade" id="Photos" role="tabpanel" aria-labelledby="Photos-tab">
                    <div class="form-group row">
                      <?php $boxes = array('one', 'two', 'three', 'four', 'five', 'six'); ?>
                      <?php foreach ($boxes as $box): ?>
                        <?php if ($box === 'one'){$active = ' show'; $defaultImg = base_url('upload/default/coming_soon.svg');}else { $active = ' hide'; $defaultImg = '';}?>
                        <div class="col-sm-4">
                          <div class="card mb-2">
                            <div class="card-header">
                              Upload Product Image(<?=ucwords($box) ?>) <span class="float-right text-danger">Size(192X138)</span>
                            </div>
                            <div class="card-body p-0 text-center pb-3 pointer" id="imgUploadBox_<?=$box ?>">
                              <img onclick="$('#product_img_<?=$box ?>_box').trigger('click'); return false;" id="product_img_<?=$box ?>_img_preview" src="<?=base_url('upload/default/coming_soon.svg') ?>" class="w-100 img-fluid" />
                              <input type="hidden" class="form-control" value="<?=$defaultImg ?>" name="product_img_<?=$box ?>" id="product_img_<?=$box ?>" placeholder="Image (<?=ucwords($box) ?>)" class="form-control" />
                              <input type="file" name="product_img_<?=$box ?>_box" class="form-control-file border hidden" id="product_img_<?=$box ?>_box">
                              <span id="hiddenMsgBox">Click on image to <i class="fa fa-upload"></i> upload product image.</span>
                              <div id="product_img_<?=$box ?>_loader"></div>
                            </div>
                          </div>
                        </div>
                      <?php endforeach; ?>
                    </div>
                  </div>
                  <!-- Product Photos End -->

                  <!-- Product Features Start -->
                  <div class="tab-pane fade" id="Features" role="tabpanel" aria-labelledby="Features-tab">
                    <div class="form-group row">
                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Dimensions</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product dimensions">
                            <input type="text" class="form-control" name="product_dimensions" id="product_dimensions"
                                placeholder="Product Dimensions" >
                        </div>

                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Color</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product color">
                            <input type="text" class="form-control" name="product_color" id="product_color"
                                placeholder="Product Color" >
                        </div>
                    </div>
                    <div class="form-group row">

                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Weight</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product weight">
                            <input type="text" class="form-control" name="product_weight" id="product_weight"
                                placeholder="Product Weight" >
                        </div>

                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Featured Product</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product weight">
                          <select name="product_in_featured_list" id="product_in_featured_list" class="form-control">
                              <option value="yes">Yes</option>
                              <option value="no" selected>No</option>
                          </select>
                        </div>

                    </div>
                  </div>
                  <!-- Product Features End -->

                  <!-- Product Information Start -->
                  <div class="tab-pane fade" id="Information" role="tabpanel" aria-labelledby="Information-tab">
                    <div class="form-group row">

                      <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Brand Name</span>
                      </div>
                      <div class="col-sm-4" data-toggle="tooltip" title="Type here product brand name / manufacturer name">
                          <input type="text" class="form-control" name="product_brand_name" id="product_brand_name" value="<?=$this->crud->getDataSingle('settings', 'product_brand_name', 'name')->value; ?>"
                              placeholder="Product Brand Name" >
                      </div>

                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Place of Manufacturing</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product country of origin / place of origin">
                            <input type="text" class="form-control" name="product_place_of_manufacturing" value="<?=$this->crud->getDataSingle('settings', 'product_place_of_manufacturing', 'name')->value; ?>"
                                id="product_place_of_manufacturing" placeholder="Product Place of Manufacturing">
                        </div>

                    </div>
                    <div class="form-group row">

                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Availability</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Choose here product stock status">
                            <select name="product_availability" id="product_availability" class="form-control">
                                <option value="true" selected>In Stock</option>
                                <option value="false">Out Of Stock</option>
                            </select>
                        </div>

                        <div class="col-sm-2 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Taxes / Rates</span>
                        </div>
                        <div class="col-sm-4" data-toggle="tooltip" title="Type here product taxes / rates percentage(%)">
                            <input type="text" class="form-control" name="product_taxes_charges" value="<?=$this->crud->getDataSingle('settings', 'taxes_charges', 'name')->value; ?>"
                                id="product_taxes_charges" placeholder="Product Taxes & Rates" >
                        </div>



                    </div>

                  </div>
                  <!-- Product Information End -->

                  <!-- Product Shipping Start -->
                  <div class="tab-pane fade" id="Shipping" role="tabpanel" aria-labelledby="Shipping-tab">
                    <div class="form-group row">

                      <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Shipping Charges</span>
                      </div>
                      <div class="col-sm-9" data-toggle="tooltip" title="Type here product shipping charges">
                          <input type="text" class="form-control" name="product_shipping_charges" value="<?=$this->crud->getDataSingle('settings', 'shipping_charges', 'name')->value; ?>" id="product_shipping_charges"
                              placeholder="Product Shipping Charges" >
                      </div>

                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Shipping Notes</span>
                        </div>
                        <div class="col-sm-12" data-toggle="tooltip" title="Type here product shipping summery / delivery duration">
                          <textarea name="priduct_shipping_summery" id="priduct_shipping_summery" class="form-control editor"><?=$this->crud->getDataSingle('settings', 'shipping_summery', 'name')->value; ?></textarea>
                        </div>

                    </div>
                  </div>
                  <!-- Product Shipping End -->

                  <!-- Product Summery Start -->
                  <div class="tab-pane fade" id="Summery" role="tabpanel" aria-labelledby="Summery-tab">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">Product Summery</span>
                        </div>
                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2" data-toggle="tooltip" title="Type here product short summery / short description">

                            <textarea name="product_summery" id="product_summery" class="form-control editor"></textarea>
                        </div>
                    </div>
                  </div>
                  <!-- Product Summery End -->

                  <!-- Product Description Start -->
                  <div class="tab-pane fade" id="Description" role="tabpanel" aria-labelledby="Description-tab">
                    <div class="form-group row">
                      <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Description</span>
                      </div>
                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2" data-toggle="tooltip" title="Type here product full description">
                            <textarea name="product_description" id="product_description" class="form-control editor"></textarea>
                        </div>
                    </div>
                  </div>
                  <!-- Product Description End -->

                  <!-- Product Micro Start -->
                  <div class="tab-pane fade" id="Micro" role="tabpanel" aria-labelledby="Micro-tab">
                    <div class="form-group row">

                      <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Micro Details</span>
                      </div>
                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2" data-toggle="tooltip" title="Type here product micro details">
                            <textarea name="product_micro_details" id="product_micro_details" class="form-control editor"></textarea>
                        </div>
                    </div>
                  </div>
                  <!-- Product Micro End -->

                  <!-- Product Offer Start -->
                  <div class="tab-pane fade" id="Offer" role="tabpanel" aria-labelledby="Offer-tab">
                    <div class="form-group row">

                      <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Offer Details</span>
                      </div>
                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2" data-toggle="tooltip" title="Type here product offers / coupons etc">
                            <textarea name="product_offer" id="product_offer" class="form-control editor"></textarea>
                        </div>
                    </div>
                  </div>
                  <!-- Product Offer End -->

                  <!-- Product Warranty Start -->
                  <div class="tab-pane fade" id="Warranty" role="tabpanel" aria-labelledby="Warranty-tab">
                    <div class="form-group row">

                      <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Warranty Details</span>
                      </div>
                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2" data-toggle="tooltip" title="Type here product warranty details">
                            <textarea name="product_warranty" id="product_warranty" class="form-control editor"></textarea>
                        </div>
                    </div>
                  </div>
                  <!-- Product Warranty End -->

                  <!-- Product Return Start -->
                  <div class="tab-pane fade" id="Return" role="tabpanel" aria-labelledby="Return-tab">
                    <div class="form-group row">

                      <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                          <span class="h6 mb-4 text-gray-800">Product Return Policy</span>
                      </div>
                        <div class="col-sm-12 mb-3 mb-sm-0 pt-2" data-toggle="tooltip" title="Type here product return policy">
                            <textarea name="product_return_policy" id="product_return_policy" class="form-control editor"><?=$this->crud->getDataSingle('settings', 'return_policy', 'name')->value; ?></textarea>
                        </div>
                    </div>
                  </div>
                  <!-- Product Return End -->

                  <!-- Product SEO Start -->
                  <div class="tab-pane fade" id="SEO" role="tabpanel" aria-labelledby="SEO-tab">
                    <div class="form-group row">
                        <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">SEO Title</span>
                        </div>
                        <div class="col-sm-9" data-toggle="tooltip" title="Type here product SEO title">
                            <input type="text" class="form-control" placeholder="SEO Title" name="product_seo_title"
                                id="product_seo_title">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">SEO Description</span>
                        </div>
                        <div class="col-sm-9" data-toggle="tooltip" title="Type here product SEO description">
                            <textarea name="product_seo_description" id="product_seo_description"
                                placeholder="SEO Description" class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">SEO Keyword</span>
                        </div>
                        <div class="col-sm-9" data-toggle="tooltip" title="Type here product SEO keywords">
                            <input type="text" class="form-control" placeholder="SEO Keyword" name="product_seo_keyword"
                                id="product_seo_keyword">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                            <span class="h6 mb-4 text-gray-800">SEO Canonical URL</span>
                        </div>
                        <div class="col-sm-9" data-toggle="tooltip" title="Type here product SEO canonical URL">
                            <input type="text" class="form-control" placeholder="SEO Canonical URL"
                                name="product_seo_canonical" id="product_seo_canonical">
                        </div>
                    </div>
                  </div>
                  <!-- Product SEO End -->
                </div>
                <!-- Product Tab Content End -->

                <button class="btn btn-facebook btn-user btn-block mt-3" type="submit" id="submit">
                    <i class="fas fa-save fa-fw fa-1x"></i> Save Product Details
                </button>
            </form>
        </div>
    </div>

</div>
<!-- /.container-fluid -->

</div>
<!-- End of Main Content -->

<?php require_once APPPATH . "views/admin/template/footer.php"; ?>
