<?php require_once APPPATH . "views/admin/template/header.php"; ?>
<?php require_once APPPATH . "views/admin/template/sidebar.php"; ?>



<!-- Begin Page Content -->
<div class="container-fluid">
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-th"></i> All Products</h6>
        </div>
        <div class="card-body">
            <div class="text-center">
                <div id="deleteLoading"></div>
            </div>
            <div class="alert shadow alert-success alert-dismissible fade show hidden" role="alert" id="successResult">
                <strong><i class="fas fa-check"></i>
                    <span id="successResultMsg">
                        Product deleted successfully...<a href="<?= base_url('admin/index.html') ?>" class="btn btn-primary btn-sm">Go to the Dashboard</a>
                    </span>
                </strong>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Product Name</th>
                            <th>Category</th>
                            <th>Price</th>
                            <th>Availability</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>#</th>
                            <th>Product Name</th>
                            <th>Category</th>
                            <th>Price</th>
                            <th>Availability</th>
                            <th>Action</th>
                        </tr>
                    </tfoot>
                    <tbody id="loadProductData">
                        <?php
                        $products = $this->crud->getDataAll('products');
                        $i = 1;
                        foreach ($products as $p) {
                            $catName = $this->crud->getDataSingle('category', $p->category_id);
                            if($p->product_availability == 'true')
                            {
                              $product_availability = '<span class="text-success font-weight-bold">In Stock</span>';
                            }
                            else if($p->product_availability == 'false')
                            {
                              $product_availability = '<span class="text-danger font-weight-bold">Out Of Stock</span>';
                            }
                            else {
                              $product_availability = '<span class="text-danger font-weight-bold">Out Of Stock</span>';
                            }
                            echo '
                                <tr>
                                    <td>' . $i . '</td>
                                    <td>' . $p->product_name . '</td>
                                    <td>' . $catName->category_name . ' <a href="' . base_url('admin/editCategory/') . $p->category_id . '" class="btn btn-sm btn-warning float-right"><i class="fas fa-edit"></i></a></td>
                                    <td>₹' . $p->product_price . '</td>
                                    <td>' . $product_availability . '</td>
                                    <td class="text-center">
                                      <div class="btn-group">
                                        <a href="' . base_url($p->product_vanity_url) . '.html" class="btn btn-sm btn-info" target="_blank">
                                          <i class="fas fa-eye"></i>
                                        </a>
                                        <a href="' . base_url('admin/editProduct/') . $p->product_id . '" class="btn btn-sm btn-warning">
                                          <i class="fas fa-edit"></i>
                                        </a>
                                        <a href="' . base_url('admin/deleteProduct/') . $p->product_id . '" id="' . $p->product_id . '" class="btn btn-sm btn-danger btn-delete">
                                          <i class="fas fa-trash"></i>
                                        </a>
                                      </div>
                                    </td>
                                </tr>
                                ' . PHP_EOL;
                        $i++; }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<!-- /.container-fluid -->

</div>
<!-- End of Main Content -->

<?php require_once APPPATH . "views/admin/template/footer.php"; ?>
