<?php require_once APPPATH . "views/admin/template/header.php"; ?>
<?php require_once APPPATH . "views/admin/template/sidebar.php"; ?>



<!-- Begin Page Content -->
<div class="container-fluid">
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">
              <a href="#" class="btn btn-sm">
                <i class="fas fa-trash"></i> Delete Category &nbsp;-&nbsp;  <i class="fas fa-tag"></i> <?=$heading ?>
              </a>
              <a href="<?=base_url('admin/category.html') ?>" class="float-right btn btn-primary btn-sm">Category Dashboard</a>
            </h6>
        </div>
        <div class="card-body">

          <?php if ($catType == 'parent' && $status == 'browse'){ ?>
            <div class="bg-danger text-center py-2 text-light mb-3">
              <strong>Important Note: If you want to delete this parent category, First you need to delete the following sub-categories.</strong>
            </div>
            <?php $childCatOfThisParentCat = $this->crud->getDataSingle('category', $catId, 'parent_id', true, null); ?>
            <div class="row">
              <?php foreach ($childCatOfThisParentCat as $cc): ?>
                <?php $product_count = $this->crud->getCount('products', 'category_id', $cc->id); ?>
                <div class="col-md-3 my-2">
                  <div class="card shadow">
                    <img class="card-img-top" src="<?=$cc->category_img ?>" alt="<?=$cc->category_name ?>">
                    <div class="card-body">
                      <h4 class="card-title"><?=$cc->category_name ?></h4>
                      <p class="card-text">
                        <?=$cc->category_seo_description ?>
                      </p>
                      <a href="<?=base_url('admin/editCategory/'.$cc->id.'.html') ?>" class="btn btn-sm btn-info btn-block">
                      <i class="fas fa-edit"></i> Edit
                      </a>
                      <?php if ($product_count > 0): ?>
                        <div class="btn btn-secondary btn-sm btn-block">
                          <strong><?=$product_count ?> Products</strong>
                        </div>
                        <a href="<?=base_url('admin/deleteCategory/'.$cc->id.'/'.$cc->type.'/browse.html') ?>" class="btn btn-warning btn-sm btn-block">
                          <i class="fas fa-folder-open"></i> Browse
                        </a>
                      <?php else: ?>
                        <a href="<?=base_url('admin/deleteCategory/'.$cc->id.'/'.$cc->type.'/confirmed.html') ?>" class="btn btn-danger btn-sm btn-block">
                          <i class="fas fa-trash"></i> Delete
                        </a>
                      <?php endif; ?>
                    </div>
                  </div>
                </div>
              <?php endforeach; ?>
            </div>
          <?php }else if($catType == 'child' && $status == 'browse'){ ?>
            <div class="bg-danger text-center py-2 text-light mb-3">
              <strong>Important Note: If you want to delete this child category, First you need to delete all the following products or change their categories.</strong>
            </div>
            <?php $products = $this->crud->getDataSingle('products', $catId, 'category_id', true, null); ?>
            <div class="row">
              <?php foreach ($products as $p): ?>
                <div class="col-md-3 my-2">
                  <div class="card shadow">
                    <img class="card-img-top" src="<?=$p->product_img ?>" style="width:100%; height:200px;" alt="<?=$p->product_name ?>">
                    <div class="card-body">
                      <h4 class="card-title"><?=$p->product_name ?></h4>
                      <p class="card-text">
                        <?=$p->product_seo_description ?>
                      </p>
                      <a href="<?=base_url('admin/editProduct/'.$p->product_id.'.html') ?>" class="btn btn-warning btn-sm btn-block">
                        <i class="fas fa-edit"></i> Edit
                      </a>
                      <a href="<?=base_url('admin/deleteItem/'.$p->product_id.'/product.html') ?>" class="btn btn-danger btn-sm btn-block">
                        <i class="fas fa-trash"></i> Delete
                      </a>
                    </div>
                  </div>
                </div>
              <?php endforeach; ?>
            </div>
          <?php }else{ ?>
            <div class="row">
              <div class="col-md"></div>
              <div class="col-md">
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">
                          <?=$c->category_name ?>
                          <?php if($c->featured === 'yes'){ echo '(<i class="fas fa-star text-warning"></i> Featured)'; } ?>
                        </h6>
                    </div>
                    <img class="card-img-top" src="<?=$c->category_img ?>" alt="<?=$c->category_seo_title ?>">
                    <?php if(!empty($c->category_description)){ ?>
                    <div class="card-body">
                      <p><?=$c->category_description ?></p>
                    </div>
                    <?php } ?>
                </div>
              </div>
              <div class="col-md"></div>
            </div>
            <hr>
            <div class="row">
              <div class="col-md-8">
                <h3>Do you want to delete this?</h3>
              </div>
              <div class="col-md-2">
                <a href="<?=base_url('admin/deleteItem/'.$c->id.'/category.html') ?>" class="btn btn-block btn-success">
                  <i class="fas fa-check"></i> Yes, Delete It
                </a>
              </div>
              <div class="col-md-2">
                <a href="<?=base_url('admin/category.html') ?>" class="btn btn-block btn-danger">
                  <i class="fas fa-times"></i> No, Go Back
                </a>
              </div>
            </div>
          <?php } ?>
        </div>
    </div>
</div>
<!-- /.container-fluid -->

</div>
<!-- End of Main Content -->

<?php require_once APPPATH . "views/admin/template/footer.php"; ?>
