<?php require_once APPPATH . "views/admin/template/header.php"; ?>
<?php require_once APPPATH . "views/admin/template/sidebar.php"; ?>

<!-- Begin Page Content -->
<div class="container-fluid">
    <div class="alert shadow alert-success alert-dismissible fade show hidden" role="alert" id="successResult">
        <strong><i class="fas fa-check"></i>
            <span id="successResultMsg">Category information updated successfully into the database...<a
                    href="<?= base_url('admin/category.html') ?>" class="btn btn-primary btn-sm">Go to the Dashboard</a>
            </span>
        </strong>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="alert shadow alert-danger alert-dismissible fade show hidden" role="alert" id="errorResult">
        <strong><i class="fas fa-times"></i> <span id="successResultMsg">Unable to update category information due to
                some technical issue...</span></strong>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h5 class="m-0 font-weight-bold text-primary"><i class="fas fa-edit"></i> Edit Category</h5>
        </div>
        <!-- Card Body -->
        <form action="<?= base_url('admin/updateCategory') ?>" class="user" action="" method="post"
            id="categoryUpdateForm" data-parsley-validate>
            <div class="card-body">
                <div class="alert shadow alert-success alert-dismissible fade show hidden" role="alert"
                    id="successResultCetegory">
                    <strong><i class="fas fa-check"></i>
                        <span id="successResultMsg">Category information saved into the database...<a
                                href="<?= base_url('admin/category.html') ?>" class="btn btn-primary btn-sm">Go to the
                                Dashboard</a> </span>
                    </strong>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="alert shadow alert-danger alert-dismissible fade show hidden" role="alert"
                    id="errorResultCetegory">
                    <strong><i class="fas fa-times"></i> <span id="successResultMsg">Unable to save category information
                            due to some technical issue...</span></strong>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="form-group row">
                    <div class="col-sm-4 pt-2">
                        <span class="h6 mb-4 text-gray-800">Show Category</span>
                    </div>
                    <div class="col-sm-8">
                        <select class="form-control" name="status" id="status">
                            <option value="yes" <?php if ($c->status == 'yes') {
                                                    echo ' selected';
                                                } ?>>Yes, Show This Category</option>
                            <option value="no" <?php if ($c->status == 'no') {
                                                    echo ' selected';
                                                } ?>>No, Hide This Category</option>
                        </select>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-sm-4 pt-2">
                        <span class="h6 mb-4 text-gray-800">Featured Category</span>
                    </div>
                    <div class="col-sm-8">
                        <select class="form-control" name="featured" id="featured">
                            <option value="yes" <?php if ($c->featured == 'yes') {
                                                    echo ' selected';
                                                } ?><?php if ($c->type == 'parent') {
                                                        echo ' disabled';
                                                    } ?>>Yes, Show in the Featured Category</option>
                            <option value="no" <?php if ($c->featured == 'no' || $c->type == 'parent') {
                                                    echo ' selected';
                                                } ?>>No, Hide from the Featured Category</option>
                        </select>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-sm-4 pt-2">
                        <span class="h6 mb-4 text-gray-800">Category Type</span>
                    </div>
                    <div class="col-sm-4" id="parentCategoryBox">
                        <select class="form-control auto-save" name="type" id="categoryType">
                            <option value="parent" <?php if ($c->type == 'parent') {
                                                        echo ' selected';
                                                    } ?>>Parent</option>
                            <option value="child" <?php if ($c->type == 'child') {
                                                        echo ' selected';
                                                    } ?>>Child</option>
                        </select>
                    </div>
                    <div class="col-sm-4" id="childCategoryBox">
                        <select class="form-control auto-save" name="parent_id" id="parent_category_id">
                            <?php if ($c->type == 'parent') : ?>
                            <option value="" selected>Choose Category</option>
                            <?php endif; ?>
                            <?php foreach ($cats as $cat) : ?>
                            <?php if ($c->parent_id == $cat->id) { ?>
                            <option value="<?= $cat->id ?>" selected><?= ucwords($cat->category_name) ?></option>
                            <?php } else { ?>
                            <option value="<?= $cat->id ?>"><?= ucwords($cat->category_name) ?></option>
                            <?php } ?>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-sm-4 pt-2">
                        <span class="h6 mb-4 text-gray-800">Category Name</span>
                    </div>
                    <div class="col-sm-8">
                        <input type="hidden" name="cat_id" value="<?= $c->id ?>">
                        <input type="text" class="form-control" name="category_name" value="<?= $c->category_name ?>"
                            id="category_name2" placeholder="Category Name" required
                            data-parsley-patter="^[a-zA-Z-_ ]+$" data-parsley-trigger="change"
                            data-parsley-focus="product_name">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-4 pt-2">
                        <span class="h6 mb-4 text-gray-800" id="cn">Category URL</span>
                    </div>
                    <div class="col-sm-8">
                        <input type="text" class="form-control" name="category_vanity_url"
                            value="<?= $c->category_vanity_url ?>" id="category_vanity_url2"
                            placeholder="Type here category vanity URL." required data-parsley-patter="^[a-zA-Z-_]+$"
                            data-parsley-trigger="change">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                        <span class="h6 mb-4 text-gray-800">Category Image (200x200)</span>
                    </div>
                    <div class="col-sm-9">
                        <center class="my-2">
                            <img id="img_preview_cat" src="<?= $c->category_img ?>"
                                class="w-25 h-25 img-fluid img-thumbnail" />
                            <input type="hidden" class="form-control" value="<?= $c->category_img ?>"
                                name="category_img" id="category_img" />
                            <br><button type="button" class="btn btn-secondary btn-sm mt-1" data-toggle="modal"
                                data-target="#uploadFileCat" id="imgUpload" data-hidden="pdesc"><i
                                    class="fa fa-upload"></i>
                                <span class="lead">Update Category Image</span></button>
                        </center>
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                        <span class="h6 mb-4 text-gray-800">Category Description</span>
                        <textarea name="category_description" id="category_description2"
                            class="form-control editor"><?= $c->category_description ?></textarea>
                    </div>
                </div>
                <hr>
                <div class="form-group row">
                    <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                        <span class="h6 mb-4 text-gray-800">SEO Title</span>
                    </div>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="SEO Title" name="category_seo_title"
                            value="<?= $c->category_seo_title ?>" id="category_seo_title2">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                        <span class="h6 mb-4 text-gray-800">SEO Description</span>
                    </div>
                    <div class="col-sm-9">
                        <textarea name="category_seo_description" id="category_seo_description2"
                            placeholder="SEO Description"
                            class="form-control"><?= $c->category_seo_description ?></textarea>
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                        <span class="h6 mb-4 text-gray-800">SEO Keyword</span>
                    </div>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="SEO Keyword" name="category_seo_keyword"
                            value="<?= $c->category_seo_keyword ?>" id="category_seo_keyword2">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                        <span class="h6 mb-4 text-gray-800">SEO Canonical URL</span>
                    </div>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="SEO Canonical URL"
                            name="category_seo_canonical" value="<?= $c->category_seo_canonical ?>"
                            id="category_seo_canonical2">
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button class="btn btn-facebook btn-user btn-block" type="submit" id="submitUpdateCategory">
                    <i class="fas fa-save fa-fw fa-1x"></i> Update Details
                </button>
            </div>
        </form>
    </div>

</div>
<!-- /.container-fluid -->

</div>
<!-- End of Main Content -->

<?php require_once APPPATH . "views/admin/template/footer.php"; ?>
