<?php $cats = $this->crud->getCategory(); ?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Dashboard - <?= GCCMS ?>">
    <meta name="author" content="Pawan Mall">

    <title><?= @$title ?> - <?= GCCMS ?></title>

    <!-- Custom fonts for this template-->
    <link href="<?= base_url('assets/admin/vendor/fontawesome-free/css/all.min.css') ?>" rel="stylesheet"
        type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Summernote -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.12/summernote-bs4.css" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link rel="stylesheet" href="<?= base_url('assets/admin/css/font-awesome.min.css') ?>">

    <link href="<?= base_url('assets/admin/css/sb-admin-2.min.css') ?>" rel="stylesheet">
    <link href="<?= base_url('assets/admin/vendor/parsley/parsley.min.css') ?>" rel="stylesheet">
    <link href="<?= base_url('assets/admin/vendor/datatables/dataTables.bootstrap4.min.css') ?>" rel="stylesheet">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
    <style media="screen">
    .select2-container--default .select2-selection--single {
      border: 1px solid #d1d3e2;
    }
    .select2-container .select2-selection--single {
      height: 38px;
    }
    .select2-container--default .select2-selection--single .select2-selection__rendered {
      color: #858796;
      line-height: 35px;
    }
    .select2-container--default .select2-selection--single .select2-selection__arrow {
      height: 34px;
    }
    </style>
</head>

<body id="page-top">

    <?php if ($this->uri->segment(2) != 'editCategory') { ?>
    <!-- Logout Modal-->
    <div class="modal fade" id="addCategory" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document" style="overflow-y: initial !important;">
            <form method="post" action="<?= base_url('admin/saveCategory') ?>" id="addCategoryForm">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                            <i class="fas fa-plus"></i> Add Category
                        </h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body" style="height: 450px;overflow-y: auto;">

                        <div class="alert shadow alert-success alert-dismissible fade show hidden" role="alert"
                            id="successResultaddCetegory">
                            <strong><i class="fas fa-check"></i>
                                <span id="successResultMsg">Category information saved into the database...<a
                                        href="<?= base_url('admin/category.html') ?>" class="btn btn-primary btn-sm">Go
                                        to the Dashboard</a> </span>
                            </strong>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="alert shadow alert-danger alert-dismissible fade show hidden" role="alert"
                            id="errorResultaddCetegory">
                            <strong><i class="fas fa-times"></i> <span id="successResultMsg">Unable to save category
                                    information due to some technical issue...</span></strong>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <div class="form-group row">
                            <div class="col-sm-4 pt-2">
                                <span class="h6 mb-4 text-gray-800">Show Category</span>
                            </div>
                            <div class="col-sm-8">
                                <select class="form-control" name="status" id="status">
                                    <option value="yes" selected>Yes, Show This Category</option>
                                    <option value="no">No, Hide This Category</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-sm-4 pt-2">
                                <span class="h6 mb-4 text-gray-800">Featured Category</span>
                            </div>
                            <div class="col-sm-8">
                                <select class="form-control" name="featured" id="featured">
                                    <option value="yes">Yes, Show in the Featured Category</option>
                                    <option value="no" selected>No, Hide from the Featured Category</option>
                                </select>
                            </div>
                        </div>


                        <div class="form-group row">
                            <div class="col-sm-4 pt-2">
                                <span class="h6 mb-4 text-gray-800">Category Type</span>
                            </div>
                            <div class="col-sm-4" id="parentBox">
                                <select class="form-control auto-save" name="type" id="type">
                                    <option value="parent">Parent</option>
                                    <option value="child">Child</option>
                                </select>
                            </div>
                            <div class="col-sm-4" id="childBox">
                                <select class="form-control auto-save" name="parent_id" id="parent_id">
                                    <?php foreach ($cats as $cat) : ?>
                                    <?php if ($cat->type == 'parent' && $cat->parent_id == null) { ?>
                                    <option value="<?= $cat->id ?>"><?= ucwords($cat->category_name) ?></option>
                                    <?php } ?>
                                    <?php endforeach; ?>
                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-sm-4 pt-2">
                                <span class="h6 mb-4 text-gray-800">Category Name</span>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="category_name" id="category_name"
                                    placeholder="Category Name" required data-parsley-patter="^[a-zA-Z-_ ]+$"
                                    data-parsley-trigger="change" data-parsley-focus="product_name">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-4 pt-2">
                                <span class="h6 mb-4 text-gray-800" id="cn">Category URL</span>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="category_vanity_url"
                                    id="category_vanity_url" placeholder="Type here category vanity URL." required
                                    data-parsley-patter="^[a-zA-Z-_]+$" data-parsley-trigger="change">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                                <span class="h6 mb-4 text-gray-800">Category Image (200x200)</span>
                            </div>
                            <div class="col-sm-9">
                                <center class="my-2">
                                    <img id="img_preview_cat"
                                        src="<?= base_url('upload/default/coming_soon.svg') ?>"
                                        class="w-50 h-50 img-fluid img-thumbnail" />
                                    <input type="hidden" class="form-control"
                                        value="<?= base_url('upload/default/not_available.svg') ?>"
                                        name="category_img" id="category_img" />
                                    <br><button type="button" class="btn btn-secondary btn-sm mt-1" data-toggle="modal"
                                        data-target="#uploadFileCat" id="imgUpload" data-hidden="pdesc"><i
                                            class="fa fa-upload"></i>
                                        <span class="lead">Upload Product Image</span></button>
                                </center>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-12 mb-3 mb-sm-0 pt-2">
                                <span class="h6 mb-4 text-gray-800">Category Description</span>
                                <textarea name="category_description" id="category_description"
                                    class="form-control editor"></textarea>
                            </div>
                        </div>
                        <hr>
                        <div class="form-group row">
                            <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                                <span class="h6 mb-4 text-gray-800">SEO Title</span>
                            </div>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" placeholder="SEO Title"
                                    name="category_seo_title" id="category_seo_title">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                                <span class="h6 mb-4 text-gray-800">SEO Description</span>
                            </div>
                            <div class="col-sm-9">
                                <textarea name="category_seo_description" id="category_seo_description"
                                    placeholder="SEO Description" class="form-control"></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                                <span class="h6 mb-4 text-gray-800">SEO Keyword</span>
                            </div>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" placeholder="SEO Keyword"
                                    name="category_seo_keyword" id="category_seo_keyword">
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-3 mb-3 mb-sm-0 pt-2">
                                <span class="h6 mb-4 text-gray-800">SEO Canonical URL</span>
                            </div>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" placeholder="SEO Canonical URL"
                                    name="category_seo_canonical" id="category_seo_canonical">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                        <button class="btn btn-facebook btn-user" type="submit" id="submitCategory">
                            <i class="fas fa-save fa-fw fa-1x"></i> Save Details
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <?php } ?>
    <div class="modal fade" id="uploadFileCat">

        <div class="modal-dialog modal-lg">


            <form method="post" action="<?= base_url('admin/uploadMedia') ?>" enctype="multipart/form-data" id="myform">

                <div class="modal-content text-primary">

                    <!-- Modal Header -->

                    <div class="modal-header">

                        <h4 class="modal-title"><i class="fa fa-upload"></i> Upload Image</h4>

                        <button type="button" class="close" data-dismiss="modal">&times;</button>

                    </div>



                    <!-- Modal body -->

                    <div class="modal-body">

                        <div class="container-fluid">

                            <div class="row">

                                <div class="col-md-10">

                                    <input type="hidden" name="target_cat" id="target_cat" />

                                    <input type="file" id="file-cat" name="file-cat"
                                        class="form-control border-top-0 border-bottom-0 border-left-0 border-right-0" />

                                </div>

                                <div class="col-md-2">

                                    <span id='loader-cat' style='display: none;float:right;'>

                                        <div class="lds-facebook">
                                            <div></div>
                                            <div></div>
                                            <div></div>
                                        </div>

                                    </span>

                                </div>

                            </div>

                        </div>

                    </div>



                    <!-- Modal footer -->

                    <div class="modal-footer">

                        <input type="button" class="btn btn-primary floatLeft button" value="Upload"
                            id="but_upload_cat">

                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>

                    </div>



                </div>

            </form>

        </div>

    </div>
    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
